@import '../../../../../styles.scss';

.item-h2,
.item-h1 {
    height: 100% !important;
    height: auto !important;
}

.isotope-item {
    z-index: 2;
    padding: 0;
}

.isotope-hidden.isotope-item {
    pointer-events: none;
    z-index: 1;
}

.isotope,
.isotope .isotope-item {
    /* change duration value to whatever you like */
    -webkit-transition-duration: 0.8s;
    -moz-transition-duration: 0.8s;
    transition-duration: 0.8s;
}

.isotope {
    -webkit-transition-property: height, width;
    -moz-transition-property: height, width;
    transition-property: height, width;
}

.isotope .isotope-item {
    -webkit-transition-property: -webkit-transform, opacity;
    -moz-transition-property: -moz-transform, opacity;
    transition-property: transform, opacity;
}

.portfolio-filter ul {
    padding: 0;
    z-index: 2;
    display: block;
    position: relative;
    margin: 0;
}

.portfolio-filter ul li {
    border-radius: 0;
    display: inline-block;
    margin: 0 5px 0 0;
    text-decoration: none;
    text-transform: uppercase;
    vertical-align: middle;
}

.portfolio-filter ul li:last-child:after {
    content: "";
}

.portfolio-filter ul li .btn-dark {
    box-shadow: none;
    background-color: transparent;
    border: 1px solid #e6e7e6 !important;
    color: #1f1f1f;
    font-weight: 400;
    font-size: 13px;
    padding: 10px 30px;
}

.da-thumbs {
    list-style: none;
    position: relative;
    padding: 0;
}

.da-thumbs .pitem {
    margin: 0;
    padding: 15px;
    position: relative;
}

.da-thumbs .pitem a,
.da-thumbs .pitem a img {
    display: block;
    position: relative;
}

.da-thumbs .pitem a {
    overflow: hidden;
}

.da-thumbs .pitem a div {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
}

.da-thumbs .pitem a div h3 {
    display: block;
    color: #ffffff;
    font-size: 20px;
    padding: 30px 15px;
    text-transform: capitalize;
    font-weight: normal;
}

.da-thumbs .pitem a div h3 small {
    display: block;
    color: #ffffff;
    margin-top: 5px;
    font-size: 13px;
    font-weight: 300;
}

.da-thumbs .pitem a div i {
    background-color: #1f1f1f;
    position: absolute;
    color: #ffffff !important;
    bottom: 0;
    font-size: 15px;
    z-index: 12;
    right: 0;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
}


.gallery-single{
	margin: 30px 15px;;
}

.gallery-single{
    text-align: center;
    overflow: hidden;
    position: relative;
	border: 10px solid #d09b71;
    border-radius: 10px;
}
.gallery-single img{
    width: 100%;
    height: auto;
    transform: scale(1.6);
    transition: all 0.3s ease 0s;
}
.gallery-single:hover img{
    filter: grayscale(100%);
    transform: scale(1.2);
}
.gallery-single .box-content{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    transition: all 0.2s ease 0s;
}
.gallery-single:before,
.gallery-single:after,
.gallery-single .box-content:before,
.gallery-single .box-content:after{
    content: "";
    width: 100%;
    height: 25%;
    background: linear-gradient(to right,rgba(0,0,0,0.9),rgba(0,0,0,0.7),transparent,rgba(0,0,0,0.7),rgba(0,0,0,0.9));
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    transition: all 0.3s ease 0s;
}
.gallery-single:before{ transform: translateX(100%); }
.gallery-single:after{
    height: 25.1%;
    top: 25%;
    transform: translateX(-100%);
    transition-delay: 0.05s;
}
.gallery-single .box-content:before{
    top: 50%;
    transform: translateX(100%);
    transition-delay: 0.1s;
}
.gallery-single .box-content:after{
    top: 75%;
    transform: translateX(-100%);
    transition-delay: 0.15s;
}
.gallery-single:hover:before,
.gallery-single:hover:after,
.gallery-single:hover .box-content:before,
.gallery-single:hover .box-content:after{ transform: translateX(0); }
.gallery-single .inner-content{
    padding: 7px 0;
    text-align: right;
    position: absolute;
    bottom: 10px;
    right: 20px;
    z-index: 2;
    transition: all 0.3s ease 0s;
}
.gallery-single .title{
    font-size: 22px;
    font-weight: 700;
    color: #d09b71;
    letter-spacing: 1px;
    text-transform: uppercase;
    margin: 0 0 3px 0;
    opacity: 0;
    transform: translateY(150px);
    transition: all 0.4s ease 0s;
}
.gallery-single .post{
    display: inline-block;
    padding: 0 5px;
    font-size: 16px;
    font-style: normal;
    color: #fff;
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.4s ease 0s;
}
.gallery-single .title,
.gallery-single .post{
    opacity: 1;
    transform: translate(0, 0);
}
.gallery-single .icon{
    padding: 0;
    margin: 0;
    list-style: none;
    position: absolute;
    top: -200px;
    left: 10px;
    z-index: 2;
    transition: all 0.4s ease 0.2s;
}
.gallery-single:hover .icon{ top: 15px; }
.gallery-single .icon li a{
    display: block;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background: #d09b71;
    font-size: 20px;
    color: #fff;
    margin-bottom: 10px;
    position: relative;
    transition: all 0.3s ease 0s;
}
.gallery-single .icon li a:hover{
    text-decoration: none;
    border-radius: 30%;
    background: #fff;
    color: #faac01;
}
@media only screen and (max-width:990px){
    .gallery-single{ margin-bottom: 30px; }
}
@media only screen and (max-width:479px){
    .gallery-single .title{ font-size: 18px }
}

.post-box .date{
	display: inline-block;
	position: absolute;
	top: 15px;
	right: 15px;
	background: #333333;
	color: #fff;
	padding: 10px 15px;
	text-align: center;
}

.post-thumb{
	position: relative;
}

.post-box{
	-webkit-box-shadow: 0px 5px 35px 0px rgba(148, 146, 245, 0.15);
	box-shadow: 0px 5px 35px 0px rgba(148, 146, 245, 0.15);
	background: #ffffff;
}

.post-box:hover .post-thumb::before{
	opacity: .6;
	-webkit-transform: translateY(0);
	transform: translateY(0);
}


.post-box .post-thumb::before{
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(51, 51, 51, 0.80);
	opacity: 0;
	-webkit-transition: all .5s;
	transition: all .5s;
	-webkit-transform: translateY(10px);
	transform: translateY(10px);
}

.post-info{
	padding: 0px 15px 40px 15px;
	background: #ffffff;
	text-align: left;
	margin-top: 40px;
}

.post-info p{
	margin: 0px;
}

.post-info h4{
	font-size: 20px;
	font-weight: 700;
}

.post-info ul{
	display: block;
	text-align: center;
	margin-bottom: 15px;
}
.post-info ul li{
	display: inline-block;
	text-align: center;
}

.divider-wrapper {
  width: 100%;
  box-shadow: 0 5px 14px rgba(0, 0, 0, 0.1);
  height: 540px;
  margin: 0 auto;
  position: relative;
}

.divider-wrapper:hover {
  cursor: none;
}

.divider-bar {
  position: absolute;
  width: 10px;
  left: 50%;
  top: -10px;
  bottom: -15px;
}

.code-wrapper {
  border: 1px solid #ffffff;
  display: block;
  overflow: hidden;
  width: 100%;
  height: 100%;
  position: relative;
//   background: url("") no-repeat;
}

.design-wrapper {
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  -webkit-transform: translateX(50%);
  transform: translateX(50%);
}

.design-image {
  display: block;
  width: 100%;
  height: 100%;
  position: relative;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
//   background: url("") no-repeat;
}

.filter-button-group{
border-radius: 0px;
margin: 10px 0px;
display: inline-block;
}

.filter-button-group button.active{
background: #d09b71;
color: #fff;
}

.filter-button-group button{
color: #333;
letter-spacing: 1px;
text-transform: uppercase;
font-weight: 600;
font-size: 14px;
cursor: pointer;
background: #fff;
padding: 12px 40px;
border: none;
border-radius: 20px;
}

.filter-button-group button:hover{
background: #333333;
color: #ffffff;
}